#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <vector>
#include <algorithm>
#include <iostream>
#include <string>
#include <string.h>


int main()
{
	std::vector<int> spil;

	int k, n;

	scanf("%d %d ", &k, &n);
	if(k < 2 || k > 20000) return 1;
	if(n < 1 || n > k) return 1;

	std::string input;
	std::getline(std::cin, input);

    char* c = (char*)input.c_str();
    char* tok;
    tok = strtok(c, " ");
    for(int j = 0; j < k; j++)
    {
        int id = atoi(tok);
		spil.push_back(id);
        tok = strtok(NULL, " ");
    }
		
	int i = std::find(spil.begin(), spil.end(), n) - spil.begin();

	printf("%d\n", spil[(i + 1) % k]);

	return 0;
}